Subject: Re: bug#28396: 26.0.50; display-line-numbers not saved by Save Options

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Nov 2017 05:34:33 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 21 Nov 2017 19:44:05 -0500
> 
> Eli Zaretskii wrote:
> 
> >   emacs -Q
> >   Click Options in the menu bar
> >   Select Show/Hide->Line Numbers For All Lines->Global Line Numbers Mode
> >   Click Options->Save Options
> >
> > The result is that the setting of global-display-line-numbers-mode is
> > not saved on the init file.
> 
> commit daa959e (HEAD, origin/emacs-26, emacs-26)
> Date:   Tue Nov 21 19:42:32 2017 -0500
> 
>     * lisp/menu-bar.el (menu-bar-options-save):
>     Add global-display-line-numbers-mode.  (Bug#28396)

Thanks.

> > Note that the solution should also save the sub-mode, when the user
> > selects, say, Relative Line Numbers.
> 
> Buffer-local variables like display-line-numbers don't play well with
> Customize.

That's too bad, I hoped some solution would be possible.  Is it
acceptable to save the mode, but not its sub-mode?  I have no opinion,
as I don't use this mode.  Should we perhaps at least document this
subtle issue somewhere?